# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_178056148282513/idna-feedstock/recipe, last modified Thu Jun  4 08:24:48 2026
# ------------------------------------------------

package:
  name: idna
  version: '3.18'
source:
  url: https://pypi.org/packages/source/i/idna/idna-3.18.tar.gz
  sha256: ffb385a7e039654cef1ab9ef32c6fafe283c0c0467bba1d9029738ce4a14a848
build:
  number: '0'
  script: /home/task_178056148282513/croot/idna_1780561508300/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeh/bin/python
    -m pip install . --no-deps --no-build-isolation --ignore-installed --no-cache-dir
    -vv
  string: py314h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 52_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2026.5.14 h06a4308_0
    - flit-core 3.12.0 py314hee27c6d_2
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libexpat 2.8.1 h7354ed3_0
    - libffi 3.4.8 hc5d346e_2
    - libgcc 15.2.0 h69a1729_8
    - libgcc-ng 15.2.0 h166f726_8
    - libmpdec 4.0.0 h5eee18b_0
    - libstdcxx 15.2.0 h39759b7_8
    - libstdcxx-ng 15.2.0 hc03a8fd_8
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.1 h47b2149_1
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.6 h1b28b03_0
    - pip 26.1.1 pyh0d26453_1
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.14.4 h490e9c7_100_cp314
    - python_abi 3.14 2_cp314
    - readline 8.3 hc2a1206_0
    - sqlite 3.51.2 h3e8d24a_0
    - tk 8.6.15 h54e0aa7_0
    - tzdata 2026b he532380_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - zlib 1.3.1 h47b2149_1
    - zstd 1.5.7 h11fc155_0
  run:
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
test:
  source_files:
    - tests
  imports:
    - idna
    - idna.codec
    - idna.compat
    - idna.core
  requires:
    - pip
    - pytest >=8.3.2
  commands:
    - pip check
    - python -c "from importlib.metadata import version; assert(version('idna')=='3.18')"
    - pytest -v tests
about:
  home: https://github.com/kjd/idna
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.md
  summary: Internationalized Domain Names in Applications (IDNA).
  description: 'A library to support the Internationalised Domain Names in Applications

    (IDNA) protocol as specified in RFC 5891. This version of the protocol

    is often referred to as "IDNA2008".

    '
  dev_url: https://github.com/kjd/idna
  doc_url: https://github.com/kjd/idna/blob/master/README.rst
extra:
  recipe-maintainers:
    - goanpeca
    - jschueller
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/idna-feedstock
  sha: b20de315da84f462f9324b639e3646b465564fa5
  task_id: SqkP9lhFQdCIfRKaFgtPjg
  task_run_id: '0'
  pbp_graph_uuid: 61753b22-011b-459e-99fe-50fcd98f2ffc
